Bug 782686 - kernel: /proc/pid/* information leak [fedora-all]
Summary: kernel: /proc/pid/* information leak [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 770648
TreeView+ depends on / blocked
 
Reported: 2012-01-18 07:12 UTC by Eugene Teo (Security Response)
Modified: 2012-01-24 19:57 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.41.10-3.fc15
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-24 07:56:18 UTC
Type: ---


Attachments (Terms of Use)

Description Eugene Teo (Security Response) 2012-01-18 07:12:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=770648

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Josh Boyer 2012-01-18 18:10:31 UTC
This is fixed by 97412950b10e64f347aec4a9b759395c2465adf6 0499680a42141d86417a8fbaa8c8db806bea1201 and a2ef990ab5a6705a356d146dd773a3b359787497.

I'll backport today.

Comment 2 Fedora Update System 2012-01-23 18:31:56 UTC
kernel-3.2.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.2.1-3.fc16

Comment 3 Fedora Update System 2012-01-23 18:36:01 UTC
kernel-2.6.41.10-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.10-3.fc15

Comment 4 Fedora Update System 2012-01-24 01:42:36 UTC
Package kernel-2.6.41.10-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.41.10-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0861/kernel-2.6.41.10-3.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-01-24 07:56:18 UTC
kernel-3.2.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-01-24 19:57:54 UTC
kernel-2.6.41.10-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.